#include <SoftwareSerial.h>
#include <Wire.h>                     // Use I2C library
#define ADDRESS 0x60                  // Address of CMPS10

const int xb_rx = 2;
const int xb_tx = 3;
SoftwareSerial Xbee(xb_rx, xb_tx);

void setup() {
  Xbee.begin(9600);
  Wire.begin();                     // Connect to I2C
}

void loop(){
  byte bytehigh, bytelow;           // High and low bytes of bearing
  char pitch, roll;                 // Pitch and roll (signed values)
  int bearing;                      // Full bearing
   
  Wire.beginTransmission(ADDRESS);  // begin communication with CMPS10
  Wire.write(2);                     // Start read
  Wire.endTransmission();
  Wire.requestFrom(ADDRESS, 4);     // Request 4 bytes from CMPS10
  while(Wire.available() < 4);      // Wait for the bytes to arrive
  bytehigh = Wire.read();           // Store values
  bytelow = Wire.read();            
  pitch = Wire.read();              
  roll = Wire.read();

  Xbee.write(byte(0));
  Xbee.write(bytehigh);
  Xbee.write(bytelow);
  Xbee.write(pitch);
  Xbee.write(roll);  
   
  delay(500); 
}
